Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.assemblerbroker
Interface AssemblerBrokerService

All Superinterfaces:
  Initable, Service

All Known Implementing Classes:
  TurbineAssemblerBrokerService

    public interface AssemblerBrokerService

extends Service

An interface the Turbine Assembler service. See TurbineAssemblerBrokerService for more info.

Version:
  $Id: AssemblerBrokerService.java 743071 2009-02-10 19:37:33Z tv $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Field Summary
`static String` | `SERVICE_NAME` Name of the Service

Method Summary
`Assembler` | `getAssembler(String type, String name)` Attempts to load an Assembler of a type with a given name
`Loader` | `getLoader(String type)` Get a Loader for the given assembler type
`void` | `registerFactory(String type, AssemblerFactory factory)` Register an AssemblerFactory class for a given type

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  Name of the Service

  See Also:
    Constant Field Values

Method Detail

### registerFactory

    void registerFactory(String type,
                         AssemblerFactory factory)

  Register an AssemblerFactory class for a given type

  Parameters:
    `type` - Type of the Factory
    `factory` - The factory object

### getAssembler

    Assembler getAssembler(String type,
                           String name)
                           throws TurbineException

  Attempts to load an Assembler of a type with a given name

  Parameters:
    `type` - The Type of the Assembler
    `name` - The Name of the Assembler
  Returns:
    An Assembler object for the requested name and type
  Throws:
    `TurbineException` - Something went wrong while looking for the Assembler

### getLoader

    Loader getLoader(String type)

  Get a Loader for the given assembler type

  Parameters:
    `type` - The Type of the Assembler
  Returns:
    A Loader instance for the requested type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.